#import "textundo.h"

#define DELETE_OPERATION NXLocalStringFromTable("Operations", "Delete", NULL, "The operation of pressing the delete key to remove the selected graphical entites or text from the document entirely.")

@implementation DeleteTextChange

/*
 * This class is only around so that the UndoText class can determine
 * when its delete: method is being called as a result of a Delete
 * keypress. This is done with 
 *               [changeObject isKindOf:[DeleteTextChange class]].
 */

- initView:aView
{
    return [super initView:aView name:DELETE_OPERATION];
}

@end
