
/*
    Copyright (c) 1991,1992 by NeXT Computer, Inc as an unpublished work.
    All rights reserved.
*/

#import "N3DCamera.h"

@interface N3DMovieCamera : N3DCamera
{
    int	frameNumber;	 /* count given to FrameBegin */
    int	startFrame;	 /* starting frame number of movie */
    int	endFrame;	 /* ending frame of movie */
    int	frameIncrement;	 /* increment counter by this many frames */
    char **_spoolFiles;
    void *_N3Dmcprivate;
}

- initFrame:(const NXRect *)fRect;
- render;
- displayMovie;
- setFrameNumber:(int)aFrameNumber;
- (int)frameNumber;
- setStartFrame:(int)start endFrame:(int)end incrementFramesBy:(int)skip;
- (int)startFrame;
- (int)endFrame;
- (int)frameIncrement;
- (BOOL)knowsPagesFirst:(int *)first last:(int *)last;
- (BOOL)getRect:(NXRect *)r forPage:(int)page;
- (int)numCropWindows;
- cropInRects:(NXRect *)rects nRects:(int)n;
- awake;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

@end


