/*
IXPostingCursor.h
Copyright 1991,NeXT Computer,Inc.
*/

#import	"IXBTreeCursor.h"

#ifndef	RELEASE_2
@interface IXPostingCursor: IXBTreeCursor <IXPostingExchange, IXPostingOperations>
#else	RELEASE_2
@interface IXPostingCursor: IXBTreeCursor
#endif	RELEASE_2
{
    IXPosting			*_thisPosting;
    struct PostingArray	*_cursorValue;
    unsigned			_cursorLength;
    IXBTreeCursor		*_valueCursor;
}

#ifdef RELEASE_2

// @protocol IXPostingOperations

- addHandle:(unsigned)handle withWeight:(unsigned)weight;
- removeHandle:(unsigned)handle;

- (unsigned)count;
- empty;

- (unsigned)setFirstHandle;
- (unsigned)setNextHandle;

- (unsigned)setHandle:(unsigned)handle;
- (unsigned)getHandle:(unsigned *)handle 
    andWeight:(unsigned *)weight;

// @protocol IXPostingExchange

- getCount:(unsigned *)theCount andPostings:(IXPosting **)thePostings;
- setCount:(unsigned)theCount andPostings:(const IXPosting *)thePostings;

#endif	RELEASE_2

@end

