/*
**	DBImageFormatter.h
**	Database Kit, Release 3.0
**	Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/

#import <objc/Object.h>
#import <appkit/appkit.h>		/* for NXCoord, NXSize */

#import <dbkit/DBFormatter.h>
#import <dbkit/tableProtocols.h>


@interface DBImageFormatter : DBFormatter
{
	id	defaultImage;
}


- init;
- free;

- setDefaultImage:anImage;
- defaultImage;

- drawFieldAt:(unsigned int) row :(unsigned int) column
	inside:(NXRect *) frame inView:view
	withAttributes:(id <DBTableVectors>) rowAttrs
		      :(id <DBTableVectors>) columnAttrs
	usePositions:(BOOL) useRowPos :(BOOL) useColumnPos;

- write:(NXTypedStream *) stream;
- read:(NXTypedStream *) stream;

@end
